const test = await this.actor.setupSkill(game.i18n.localize("NAME.Cool"), {
  difficulty: "challenging",
  context: {
    failure: "Erhält den Zustand @Condition[Fatigued] wegen Albträumen.",
    success: "Hatte Albträume, aber ausreichend geschlafen."
  }
});
await test.roll();

if (test.failed) {
  await this.actor.addCondition("fatigued");
}